Update API key callback handler
Update the callback handler of an API key Endpoint Permission: Admin and Non-Signing Admin.
PATCH
/
cosigners
/
{cosignerId}
/
api_keys
/
{apiKeyId}
TypeScript
const response: Promise<FireblocksResponse<UpdateCallbackHandlerResponse>> = fireblocks.cosignersBeta.updateCallbackHandler(cosignersBetaApiUpdateCallbackHandlerRequest);CompletableFuture<ApiResponse<UpdateCallbackHandlerResponse>> response = fireblocks.cosignersBeta().updateCallbackHandler(updateCallbackHandlerRequest, cosignerId, apiKeyId);response = fireblocks.cosigners_beta.update_callback_handler(update_callback_handler_request, cosigner_id, api_key_id);curl --request PATCH \
--url https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_keys/{apiKeyId} \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_keys/{apiKeyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "44fcead0-7053-4831-a53a-df7fb90d440f",
"callbackHandler": {
"url": "https://example.com/callback-handler",
"publicKey": "-----BEGIN PUBLIC KEY-----\n... truncated ...-----END PUBLIC KEY-----",
"cert": "-----BEGIN CERTIFICATE-----\n... truncated ...\n-----END CERTIFICATE-----"
}
}{
"message": "<string>",
"code": 123
}Path Parameters
The unique identifier of the cosigner
The unique identifier of the API key
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
Previous
Get request statusGet the status of an asynchronous request
Endpoint Permission: Admin and Non-Signing Admin.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<UpdateCallbackHandlerResponse>> = fireblocks.cosignersBeta.updateCallbackHandler(cosignersBetaApiUpdateCallbackHandlerRequest);CompletableFuture<ApiResponse<UpdateCallbackHandlerResponse>> response = fireblocks.cosignersBeta().updateCallbackHandler(updateCallbackHandlerRequest, cosignerId, apiKeyId);response = fireblocks.cosigners_beta.update_callback_handler(update_callback_handler_request, cosigner_id, api_key_id);